/* 
   Authors: Loic Besnard, Thierry Gautier
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

_PUBLIC_

/** Constructor.  */
VLGenerator::VLGenerator()
{
}

/** Destructor */
_VIRTUAL_ 
VLGenerator::~VLGenerator ()
{
}

/** 
    xxxx
*/
_VIRTUAL_
  boolean
VLGenerator::generate (ptDCG_sch vGraph, boolean mainFile, boolean bodyFile, boolean ioFile, ptDCG_sch mGraph)
{
  TextFormVL = new inteprintVL ();
  TextForm = (ptinteprintc) TextFormVL;

  bSynthetisableCode = pk_true;

  TextFormVL->init( bSynthetisableCode );
  initialize (vGraph, pk_false, nilstr);
  loadOperatorsDef(sysGetFileCodeGenPredef ("VL"));
  // modeelsif = pk_false; C-like language
  visComment = pk_false;

  //   if (vGraph != mGraph) addImportsFrom (mGraph);
  gencode ();
  return finalize ();
}

