/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "common_type.h"
#include "opersignal.h"
#include "stringmemStr_type.h"
#include "GHDC_type.h"
#include "elemTableGenCode_type.h"
#include "messignal_3.h"
/* @End_import_type@ */
#include "ClockManagerExport.h"
#include "TraceabilityManagerExport.h"
#include "atclocklist_g.h"
#include "DCG.h"
#include "markServer_g.h"
#include "ident_g.h"
#include "atfg_g.h"
#include "atInodesList_g.h"
#include "atlinstances_g.h"
#include "messenger.h"
#include "NodeManager.h"
#include "tree_api.h"
#include "inteattr_g.h"
#include "ExprManager.h"
#include "stringmemStr_g.h"
#include "DCG.h"
#include "DCG2SignalTree.h"
#include "atlist_g.h"
#include "atstack_g.h"
#include "signal_tree.h"
#include "atinterfaceGet_g.h"
#include "atClosure_g.h"
#include "eTypes.h"
#include "Pragmas_g.h"
#include "PragmasTrees_g.h"
#include "predefSignalNames_g.h"
#include "affinerelations_g.h"
#include "sysfile_g.h"

/* @Begin_prog@ */
#include "DCG2SignalTree_m.c"
#include "DCG2SignalTreeAbstraction_i.c"
#include "DCG2SignalTreeDependences_i.c"
#include "DCG2SignalTreeSubGraph_i.c"
#include "DCG2SignalTreeNode_i.c"
#include "DCG2SignalTreeType_i.c"
#include "DCG2SignalTreeExpr_i.c"
#include "DCG2SignalTreeDecl_i.c"
#include "DCG2SignalTreeHierarchy_i.c"
#include "DCG2SignalTreeExclusiveClocks_i.c"
#include "DCG2SignalTreeAutomaton_i.c"
#include "DCG2SignalTreeClock_i.c"
#include "DCG2SignalTree_g.c"
