
/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

#define lgindent  4

#define kwPolychrony "pK"
#define lgkwPolychrony 2
#define kwnotimpl       "UNDEF"
#define lgkwnotimpl     5
#define kwif            "if"
#define lgkwif          2
#define kwthen          "then"
#define lgkwthen        4
#define kwelse          "else"
#define lgkwelse        4
#define kwwhile         "while"
#define lgkwwhile       5
#define kwfor           "for"
#define lgkwfor         3
#define kwdo           "do"
#define lgkwdo         2


#define kwend           "end"
#define lgkwend         3

// pk_true, pk_false are predefined in boolean.h provided with Polychrony.
#define kwTrue         "pk_true"
#define kwFalse        "pk_false"
#define lgkwFalse       8
#define lgkwTrue        7
