process SecondDegree_ABSTRACT =
     ( ? boolean OK; 
         real a, b, c;
       ! boolean err; 
         real x21, x2;
     )
   pragmas 
      GreyBox "SecondDegree"
   end pragmas
   (| (| L340_nlabel :: (err, x21, x2) := SecondDegree_Cluster_1()
       | L340_nlabel ^= [:Tick]
       |)
    | (| L341_nlabel :: SecondDegree_Cluster_2(c)
       | L341_nlabel ^= [:stable]
       |)
    | (| L342_nlabel :: SecondDegree_Cluster_3(b)
       | L342_nlabel ^= [:stable]
       |)
    | (| L343_nlabel :: SecondDegree_Cluster_4(a)
       | L343_nlabel ^= [:Tick]
       |)
    | (| L360_nlabel :: SecondDegree_STATES()
       | L360_nlabel ^= [:Tick]
       |)
    | (| OK --> L340_nlabel
       | L341_nlabel --> L342_nlabel
       | L341_nlabel --> L340_nlabel
       | c --> L341_nlabel
       | L342_nlabel --> L340_nlabel
       | b --> L342_nlabel
       | L343_nlabel --> L342_nlabel
       | L343_nlabel --> L341_nlabel
       | L343_nlabel --> L340_nlabel
       | c --> L343_nlabel
       | a --> L343_nlabel
       | L343_nlabel --> L360_nlabel
       | L342_nlabel --> L360_nlabel
       | L341_nlabel --> L360_nlabel
       | L340_nlabel --> L360_nlabel
       |)
    |)
   where 
   event Tick; 
   label L340_nlabel, L341_nlabel, L342_nlabel, L343_nlabel, L360_nlabel; 
   action SecondDegree_Cluster_1 =
        ( ! boolean err; 
            real x21; 
            real x2;
        )
      pragmas 
         Cluster {a,b,c}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_Cluster_2 =
        ( ? real c;
        )
      pragmas 
         Cluster {a,c}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_Cluster_3 =
        ( ? real b;
        )
      pragmas 
         Cluster {a,b}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_Cluster_4 =
        ( ? real a;
        )
      pragmas 
         Cluster {a}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_STATES =
        ( )
      pragmas 
         DelayCluster
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   ;
   end
; 
