/* 
   Authors: Loic Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/

#include "inteprintgen.h"
typedef class inteprintc *ptinteprintc;

class inteprintc: public inteprintgen
{
#include "inteprintc_m.h"
#include "inteprintcTasks_i.h"
#include "inteprintcTasks_g.h"
#include "inteprintcDist_i.h"
#include "inteprintcDist_g.h"
#include "inteprintcTraceability_g.h"
#include "inteprintc_g.h"

protected:
  ptrepstr FILE_SUFFIX, HEADER_SUFFIX;
  TypeType UndefinedType; ///< void type
    ptrepstr progName, inifuncSuffix, iterfuncSuffix, vcdStr, vcdStr2, traceCommDirective;
  ptident inifuncname, iterfuncname, begioname, endioname, mainname, finalfuncname, stepbegioname, stependioname, idvcd;
  boolean VERSION_WITH_VCD;
};

