/* 
   Authors: Loïc Besnard, Patricia Bournai, Thierry Gautier, Paul Le Guernic.
   Copyright (C) by INRIA-CNRS - developed by Espresso project - GPL v2 License - 2010.

   Contact: polychronycontact@listes.irisa.fr 

   This file is part of Polychrony Signal Toolbox (http://www.irisa.fr/espresso/polychrony).

   Polychrony  Signal Toolbox is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License Version 2 as published by the Free
   Software Foundation.

   Polychrony Signal Toolbox is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License Version 2
   for more details.

   You should have received a copy of the GNU General Public License Version 2
   along with Polychrony Signal Toolbox; see the file COPYING. If not, consult the url 
    http://www.gnu.org/licenses/gpl-2.0.html, or write to the Free
   Software Foundation, 51 Franklin Street, Fifth Floor, Boston, MA
   02110-1301, USA. 
*/
#include "common_type.h"
#include "opersignal.h"
#include "stringmemStr_type.h"
#include "buffer_type.h"
#include "GHDC_type.h"
#include "messignal_0.h"
/* @End_import_type@ */
#include "sysfile_g.h"
#include "ident_g.h"
#include "DCG.h"
#include "SMTPrinter.h"
#include "stringStd_g.h"
#include "stringmemStr_g.h"
#include "messenger.h"
#include "DCG.h"
#include "NodeManager.h"
#include "ClockManagerExport.h"
#include "ExprManager.h"
#include "atclocklist_g.h"
#include "atlinstances_g.h"
#include "atlist_g.h"
#include "atInodesList_g.h"
#include "markServer_g.h"
#include "NameManager.h"
#include "eTypes.h"
#include "Pragmas_g.h"
#include "PragmasTrees_g.h"
#include "predefSignalNames_g.h"
#include "TraceabilityManager.h"

/* @Begin_prog@ */
#include "SMTPrinter_m.c"
#include "SMTPrinterCertification_i.c"
#include "SMTPrinter_g.c"
